<template>
	<div>
		<LayoutHeader
			title="Application"
			desc="Définir le délai quotidien pour les catégories d'applications que vous souhaitez gérer. Après la limite atteinte, votre permission sera nécessaire pour laisser plus de temps."
		/>
		<div class="flex gap-1 column mt-3 pb-2">

			<div class="ui-applications-radios scroll-y-auto" />
		</div>
		<ButtonArea>
			<RouterLink to="#" class="w-100 md">
				<button>Activer le controle parental</button>
			</RouterLink>
			<RouterLink to="#" class="w-100 mt-1 md center-text">
				Ignorer
			</RouterLink>
		</ButtonArea>
	</div>
</template>

<script>
import ButtonArea from '@/components/ButtonArea';
import LayoutHeader from '@/components/LayoutHeader';

export default {
	name: 'Application',
	components: { ButtonArea, LayoutHeader },
	data() {
		const values = (() => {
			const zeroPad = (num, places) => String(num).padStart(places, '0');

			return Array.from({ length: 48 }, (_, i) => i * 30)
				.map(x => ([ Math.floor(x / 60), x % 60 ]))
				.map(([ hours, minutes ]) =>
					`${ zeroPad(hours, 2) }:${ zeroPad(minutes, 2) }`);
		})();

		return {
			email: '',
			password: '',
			slots: [
				{
					flex: 1,
					values,
					className: 'slot1',
					defaultIndex: 34,
					textAlign: 'right'
				}, {
					divider: true,
					content: '-',
					className: 'slot2'
				}, {
					flex: 1,
					values,
					className: 'slot3',
					defaultIndex: 44,
					textAlign: 'left'
				}
			]
		};
	},
	methods: {
		pickerSelect(picker, values) {
			if (values[0] > values[1]) {
				picker.setSlotValue(1, values[0]);
			}
		}
	}
};
</script>

<style lang="scss" scoped>
</style>
